إرسال
Project

List Project Contact Groups

Retrieve the contact groups linked to the authenticated project

Endpoint

GET /api/project/contact-groups

Example

curl https://sms.lamah.com/api/project/contact-groups \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Response

{
  "data": [
    {
      "id": "0198faa2-8ddd-72c7-afce-32d980bd60fe",
      "name": "Customers",
      "description": "Active customer contacts",
      "status": "active",
      "reference": "customers"
    }
  ]
}
FieldTypeDescription
dataarrayContact groups linked to the authenticated project
data[].idstring (UUID)Contact group identifier
data[].namestringContact group name
data[].descriptionstring|nullContact group description
data[].statusstringContact group status
data[].referencestring|nullOptional external reference

Groups are returned from newest to oldest. Use a group's id with the List Project Contacts or Send to Contact Group endpoint.

Error responses

401 Unauthorized

{ "message": "Invalid or missing token." }
{ "message": "Unauthorized IP address." }

On this page